Bug 1023769 - Review Request: golang-github-goerlang-dist - An implementation of Erlang node [NEEDINFO]
Review Request: golang-github-goerlang-dist - An implementation of Erlang node
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 1010713
Blocks: FE-DEADREVIEW 1023776 1086378
  Show dependency treegraph
 
Reported: 2013-10-27 15:05 EDT by Peter Lemenkov
Modified: 2015-12-24 06:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jchaloup: needinfo? (lemenkov)


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2013-10-27 15:05:23 EDT
Spec URL: http://peter.fedorapeople.org/golang-github-goerlang-dist.spec
SRPM URL: http://peter.fedorapeople.org/golang-github-goerlang-dist-0-0.1.20130219git453dec6.fc21.src.rpm
Description: An implementation of Erlang node
Fedora Account System Username: peter
Comment 1 Mario Blättermann 2013-10-29 15:19:39 EDT
Taking this for a full review.
Comment 2 Mario Blättermann 2013-10-29 15:50:49 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6114012

$ rpmlint -i -v *golang-github-goerlang-dist.src: I: checking
golang-github-goerlang-dist.src: I: checking-url https://github.com/goerlang/dist (timeout 10 seconds)
golang-github-goerlang-dist.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 1)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

golang-github-goerlang-dist.src: I: checking-url https://github.com/goerlang/dist/archive/453dec63ea12c128128f9d91b11a82dd570119a0.tar.gz (timeout 10 seconds)
golang-github-goerlang-dist-devel.noarch: I: checking
golang-github-goerlang-dist-devel.noarch: W: summary-ended-with-dot C An implementation of Erlang node.
Summary ends with a dot.

golang-github-goerlang-dist-devel.noarch: I: checking-url https://github.com/goerlang/dist (timeout 10 seconds)
golang-github-goerlang-dist.spec:5: W: mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 1)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

golang-github-goerlang-dist.spec: I: checking-url https://github.com/goerlang/dist/archive/453dec63ea12c128128f9d91b11a82dd570119a0.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 3 warnings.


There's one rather cosmetic problem in your spec file. I suggest to use spaces, this way the spec file looks the same in all text editors, regardless of the configured tab width.

I'm not really happy with the folder ownerships. It seems all your golang-github-goerlang-* packages own the folder path /usr/share/gocode/src/github.com/goerlang. Well, we have some cases where packages may do so, for example for gtk-doc. But in this early state of packaging, you could create a dummy package named golang-github-goerlang-filesystem which owns this folder. I assume the arch-dependent packages in Fedora >=19 and EPEL >=7 use the same folder, so there we couldn't get any problems with.
Comment 3 Lokesh Mandvekar 2013-11-04 23:04:19 EST
Hi Peter, Mario:

(In reply to Mario Blättermann from comment #2)


> golang-github-goerlang-dist.spec: I: checking-url
> https://github.com/goerlang/dist/archive/
> 453dec63ea12c128128f9d91b11a82dd570119a0.tar.gz (timeout 10 seconds)
> 2 packages and 1 specfiles checked; 0 errors, 3 warnings.
> 

This might work better for source url:
Source0: https://%{import_path}/archive/%{commit}/%{realname}-%{shortcommit}.tar.gz ...as in the already existing golang-* packages


> I'm not really happy with the folder ownerships. It seems all your
> golang-github-goerlang-* packages own the folder path
> /usr/share/gocode/src/github.com/goerlang. Well, we have some cases where
> packages may do so, for example for gtk-doc. But in this early state of
> packaging, you could create a dummy package named
> golang-github-goerlang-filesystem which owns this folder. I assume the
> arch-dependent packages in Fedora >=19 and EPEL >=7 use the same folder, so
> there we couldn't get any problems with.

Just to make sure everyone's on the same page, I'm mentioning Matt Miller's comment here: https://bugzilla.redhat.com/show_bug.cgi?id=1001300#c24 . I guess if something new gets decided over here, we'll have to make similar changes to the existing golang-* packages too.
Comment 4 Mario Blättermann 2014-05-16 06:55:18 EDT
As far as I can see, the problem with the multiple folder ownerships has been solved in bug #1010713. Can we proceed here (and in bug #1023771)?
Comment 5 Mario Blättermann 2014-08-04 16:34:28 EDT
Sorry, I don't have the time to continue here anymore. Lifting the assignment.
Comment 6 Jan Chaloupka 2015-12-24 06:12:42 EST
Hi Peter,

what was this review intended for? Do you still need it?

Jan

Note You need to log in before you can comment on or make changes to this bug.